Problemas activando la licencia o actualizando

Error: El archivo subido excede la directiva upload_max_filesize en php.ini

Este error aparece cuando tu servidor limita el tamaño de los ficheros subidos, en este caso, el ZIP de la plantilla.

Para corregir el error, tendrás que indicarle a tu proveedor de hosting que incremente este límite.

Si tienes experiencia administrando servidores, puedes cambiar el valor upload_max_filesize directamente desde el archivo php.ini. Puedes leer más sobre esto aquí.

También puedes saltarte esta restricción realizando la actualización de forma manual por FTP.

Error: Allowed memory exhausted

Este error aparece cuando tu servidor se queda sin memoria RAM para completar alguna tarea.

Para corregir el error, tendrás que indicarle a tu proveedor de hosting que incremente este límite.

Si tienes experiencia administrando servidores, puedes incrementarlo siguiendo estos pasos:

  1. Agrega esta línea el archivo wp-config.php: define('WP_MEMORY_LIMIT', '256M');
  2. Cambia esta línea en el archivo php.ini de tu servidor: memory_limit = 256M;

También podría ayudar la desactivación y eliminación de plugins que no se usan.

Error: cURL error 28

Si ves este error, significa que tu servidor y el servidor de actualizaciones y licencias de Wasabi Theme no se están pudiendo conectar.

Este es un problema común y no tiene relación con los plugins, themes ni con el propio WordPress. Es algo directamente relacionado con un componente del servidor: la biblioteca cURL, y afecta a cualquier software web que utilice cURL.

Para solucionarlo, ponte en contacto con tu proveedor de hosting y:

  1. Pregunta si tu servidor está ejecutando una versión reciente de PHP y la biblioteca cURL.
  2. Que intenten aumentar el límite de memoria del servidor y el límite de timeout de cURL.
  3. Pregunta si hay algún cortafuegos o módulo de seguridad (por ejemplo, ModSecurity) que bloquee las solicitudes cURL salientes a https://wasabitheme.com/
  4. Pregunta si hay algun problema de red, de resolución DNS o de conexiones SSL salientes a https://wasabitheme.com/
  5. Pregunta si el servidor puede usar TLS 1.2 como protocolo SSL. Puedes comprobarlo tu mismo/a usando este plugin.

Error: cURL error 25

Tu servidor está usando una versión demasiado antigua de CURL o de OpenSSL. Necesitas actualizar ambos.



Otro tipo de contenido en el blog de Wasabi